osgDB::DotOsgWrapper Class Reference

`#include <DotOsgWrapper>`

Inheritance diagram for osgDB::DotOsgWrapper:

## Public Types

enum | ReadWriteMode { READ_AND_WRITE , READ_ONLY }
typedef std::vector< std::string > | Associates
typedef bool(* | ReadFunc) (osg::Object &, osgDB::Input &)
typedef bool(* | WriteFunc) (const osg::Object &, osgDB::Output &)

## Public Member Functions

| DotOsgWrapper (osg::Object *proto, const std::string &name, const std::string &associates, ReadFunc readFunc, WriteFunc writeFunc, ReadWriteMode readWriteMode=READ_AND_WRITE)
const osg::Object * | getPrototype () const
const std::string & | getName () const
const Associates & | getAssociates () const
ReadFunc | getReadFunc () const
WriteFunc | getWriteFunc () const
ReadWriteMode | getReadWriteMode () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

| DotOsgWrapper ()
| protected to prevent inappropriate creation of wrappers.
| DotOsgWrapper (DotOsgWrapper &)
| protected to prevent inappropriate creation of wrappers.
virtual | ~DotOsgWrapper ()
| protected to prevent wrapper being created on stack.
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

osg::ref_ptr< osg::Object > | _prototype
std::string | _name
Associates | _associates
ReadFunc | _readFunc
WriteFunc | _writeFunc
ReadWriteMode | _readWriteMode
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Detailed Description

deprecated.

## Member Typedef Documentation

## Associates

typedef std::vector<std::string> osgDB::DotOsgWrapper::Associates

## ReadFunc

typedef bool(* osgDB::DotOsgWrapper::ReadFunc) (osg::Object &, osgDB::Input &)

## WriteFunc

typedef bool(* osgDB::DotOsgWrapper::WriteFunc) (const osg::Object &, osgDB::Output &)

## Member Enumeration Documentation

## ReadWriteMode

enum osgDB::DotOsgWrapper::ReadWriteMode

Enumerator
READ_AND_WRITE |
READ_ONLY |

## Constructor & Destructor Documentation

## DotOsgWrapper() [1/3]

osgDB::DotOsgWrapper::DotOsgWrapper | ( | osg::Object * | proto,
|  | const std::string & | name,
|  | const std::string & | associates,
|  | ReadFunc | readFunc,
|  | WriteFunc | writeFunc,
|  | ReadWriteMode | readWriteMode = READ_AND_WRITE )

References READ_AND_WRITE.

Referenced by DotOsgWrapper().

## DotOsgWrapper() [2/3]

osgDB::DotOsgWrapper::DotOsgWrapper | ( |  | ) |

inline protected

protected to prevent inappropriate creation of wrappers.

## DotOsgWrapper() [3/3]

osgDB::DotOsgWrapper::DotOsgWrapper | ( | DotOsgWrapper & |  | ) |

inline protected

protected to prevent inappropriate creation of wrappers.

References DotOsgWrapper(), and osg::Referenced::Referenced().

## ~DotOsgWrapper()

virtual osgDB::DotOsgWrapper::~DotOsgWrapper | ( |  | ) |

inline protected virtual

protected to prevent wrapper being created on stack.

## Member Function Documentation

## getAssociates()

const Associates & osgDB::DotOsgWrapper::getAssociates | ( |  | ) | const

inline

References _associates.

## getName()

const std::string & osgDB::DotOsgWrapper::getName | ( |  | ) | const

inline

References _name.

## getPrototype()

const osg::Object * osgDB::DotOsgWrapper::getPrototype | ( |  | ) | const

inline

References _prototype.

## getReadFunc()

ReadFunc osgDB::DotOsgWrapper::getReadFunc | ( |  | ) | const

inline

References _readFunc.

## getReadWriteMode()

ReadWriteMode osgDB::DotOsgWrapper::getReadWriteMode | ( |  | ) | const

inline

References _readWriteMode.

## getWriteFunc()

WriteFunc osgDB::DotOsgWrapper::getWriteFunc | ( |  | ) | const

inline

References _writeFunc.

## Member Data Documentation

## _associates

Associates osgDB::DotOsgWrapper::_associates

protected

Referenced by getAssociates().

## _name

std::string osgDB::DotOsgWrapper::_name

protected

Referenced by getName().

## _prototype

osg::ref_ptr<osg::Object> osgDB::DotOsgWrapper::_prototype

protected

Referenced by getPrototype().

## _readFunc

ReadFunc osgDB::DotOsgWrapper::_readFunc

protected

Referenced by getReadFunc().

## _readWriteMode

ReadWriteMode osgDB::DotOsgWrapper::_readWriteMode

protected

Referenced by getReadWriteMode().

## _writeFunc

WriteFunc osgDB::DotOsgWrapper::_writeFunc

protected

Referenced by getWriteFunc().

The documentation for this class was generated from the following file:

- DotOsgWrapper